Page MenuHomePhabricator

Protection log: don't show "hist" for creation protection
Closed, ResolvedPublic

Description

Currently, each entry in the protection log links the page history offset by the time protection was applied. However, when creation-protection is applied, the page doesn't exist, and so the link shouldn't be added.

Details

Related Gerrit Patches:

Event Timeline

DannyS712 created this task.Jun 3 2019, 7:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 7:32 AM
DannyS712 triaged this task as Lowest priority.Jul 17 2019, 7:28 PM

No harm comes from the link

Change 551348 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Hide history link for non-existing pages in protection log

https://gerrit.wikimedia.org/r/551348

Florian assigned this task to Ammarpad.Nov 18 2019, 12:27 AM
DannyS712 moved this task from Unsorted to Reports on the User-DannyS712 board.Nov 18 2019, 3:32 AM

Actually, the link can be quite useful. It leads to a page with deletion logs. So perhaps re-label and make blue?

Actually, the link can be quite useful. It leads to a page with deletion logs. So perhaps re-label and make blue?

I don't think so, actually that's not "edit history". Also how can we make it blue? If by linking to the deletion log; that would be redundant, as the log is already included by the opposite side of wherever the link is.

actually that's not "edit history"

That's why I suggest perhaps re-label and make blue.

Also how can we make it blue?

I'd leave the target as it is and call $linkRenderer->makeKnownLink.

Change 551348 merged by jenkins-bot:
[mediawiki/core@master] Hide history link for non-existing pages in protection log

https://gerrit.wikimedia.org/r/551348

Also how can we make it blue?

I'd leave the target as it is and call $linkRenderer->makeKnownLink.

Yes, that will work. But I believe either changes are trivial and obscure. Not many people will even notice something changed here.

Ammarpad closed this task as Resolved.Nov 26 2019, 8:22 AM